/* $Id: WorkspaceTabbedPane.java 640 2013-01-29 14:34:28Z shayashi $ */
package smart_gs.swingui;

import java.awt.Component;

import smart_gs.GSConstants;
import smart_gs.PreferenceManager;
import smart_gs.logical.Spread;
import smart_gs.smleditor.swingui.GSEditorFrame;
import smart_gs.smleditor.swingui.GSTabbedPane;
import smart_gs.swingui.toolbar.GSEditorToolBar;

@SuppressWarnings("serial")
public class WorkspaceTabbedPane extends GSTabbedPane {
	private GSEditorToolBar gsEditorToolBar;

	public WorkspaceTabbedPane() {
		super();
	}

	public WorkspaceTabbedPane(GSEditorFrame parent, Spread spread) {
		super(parent, spread);
		this.remove(this.getTabbedPaneImageCanvas());
	}

	public GSEditorToolBar getGsEditorToolBar() {
		return gsEditorToolBar;
	}

	public void setGsEditorToolBar(GSEditorToolBar gsEditorToolBar) {
		this.gsEditorToolBar = gsEditorToolBar;
	}

}
